@import '_content/GF.MS.DB.Blazor.Components.Forms/GF.MS.DB.Blazor.Components.Forms.jx0kzl4wxz.bundle.scp.css';

/* /Components/Dialogs/DialogButton.razor.rz.scp.css */
.dialog-button-label[b-h11ikp954o] {
    min-width: 4rem;
    padding: 0 1rem;
}
/* /Components/Layout/FancyBackground.razor.rz.scp.css */
.bg[b-c742xpr51t] {
    --c1: var(--ugg-color-surface-1);
    --c2: var(--ugg-color-surface-2);
    animation: slide-b-c742xpr51t 3s ease-in-out infinite alternate;
    background-image: linear-gradient(-60deg, var(--c1) 50%, var(--c2) 50%);
    bottom: 0;
    left: -50%;
    opacity: .25;
    position: fixed;
    right: -50%;
    top: 0;
    z-index: -1;
}

.bg2[b-c742xpr51t] {
    animation-direction: alternate-reverse;
    animation-duration: 4s;
}

.bg3[b-c742xpr51t] {
    animation-duration: 5s;
}

.content[b-c742xpr51t] {

}

@keyframes slide-b-c742xpr51t {
    0% {
        transform: translateX(-25%);
    }

    100% {
        transform: translateX(25%);
    }
}
/* /Components/Layout/MainBar.razor.rz.scp.css */
.main-bar[b-dbd4azk3yn] {
    width: 3rem;
    height: 100%;
    padding: 0.5rem 0;
    display: flex;
    flex-direction: column;
    justify-content: start;
    align-items: center;
    flex-shrink: 0;
    z-index: 10;
    overflow: hidden;
    background: transparent;
    transition: all ease-out 0.5s;
    cursor: pointer;
    border-right: 1px solid var(--ugg-color-surface-2);
}

    .main-bar:hover[b-dbd4azk3yn] {
        background: var(--ugg-color-surface-2);
        box-shadow: 0 0 0.4rem 0.2rem #0004;
        transition: all ease-out 0.5s;
    }

[b-dbd4azk3yn] .main-bar-nav-menu {
    padding-left: 0.7rem;
}

[b-dbd4azk3yn] .navigation-divider {
    margin: 1rem 0;
    border-color: var(--ugg-color-surface-3);
}
/* /Components/Layout/MainBody.razor.rz.scp.css */
.main-body[b-xp30gokcx4] {
    width: 100%;
    height: 100%;
    display: flex;
    flex-direction: column;
    overflow: auto;
    color: var(--ugg-color-text-primary);
    background-color: transparent;
}
/* /Components/Layout/MainDrawer.razor.rz.scp.css */
.main-drawer[b-3yp3pimygz] {

}

[b-3yp3pimygz] .navigation-divider {
    margin: 1rem 0;
    border-color: var(--ugg-color-surface-3);
}
/* /Components/Layout/MainWrapper.razor.rz.scp.css */
.main-wrapper[b-wrxyacddb8] {
    height: 100%;
    width: 100%;
    overflow: hidden;
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    background-color: var(--ugg-color-surface-1);
}
/* /Components/Layout/NavigationBar.razor.rz.scp.css */
.navigation-bar[b-br8s05cmwg] {
    height: 4rem;
    width: 100%;
    padding: 0;
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
    flex-shrink: 0;
    z-index: 5;
    overflow: hidden;
    color: var(--ugg-color-text-primary);
    background: var(--ugg-color-surface-2);
}

.navigation-bar-title[b-br8s05cmwg] {
    font-size: 1rem;
}

.navigation-bar-left[b-br8s05cmwg] {
    display: flex;
    flex-direction: row;
    justify-content: flex-start;
    align-items: center;
}

.navigation-bar-right[b-br8s05cmwg] {
    display: flex;
    flex-direction: row;
    justify-content: flex-end;
    align-items: center;
}
/* /Pages/SettingsPage.razor.rz.scp.css */
.settings-page[b-ewy8c9i3c7] {
    margin: 1rem;
    padding: 1rem;
    width: 20rem;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    flex-wrap: wrap;
    row-gap: 1rem;
    column-gap: 1rem;
}
